Analytics & Insights API
POST /services/analytics/v1/project/get-page-click-heatmap Auth

Aggregate click coordinates for a page URL across sessions

Request Body Required

FieldTypeRequiredDescriptionExample
start_date string (date-time) Yes 2026-01-01 00:00:00
end_date string (date-time) Yes 2026-01-31 23:59:59
page_url string
max: 2048
Yes https://example.com/pricing
grid_size integer
min: 10 max: 200
No 40

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
data object
data.page_url string
data.total_clicks integer
data.grid_size integer
data.max_x object|null
data.max_y object|null
data.viewport_width object|null
data.viewport_height object|null
data.cells mixed[]
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/project/get-page-click-heatmap" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "start_date": "2026-01-01 00:00:00",
    "end_date": "2026-01-31 23:59:59",
    "page_url": "https://example.com/pricing",
    "grid_size": 40
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/project/get-page-click-heatmap', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "start_date": "2026-01-01 00:00:00",
    "end_date": "2026-01-31 23:59:59",
    "page_url": "https://example.com/pricing",
    "grid_size": 40
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/analytics/v1/project/get-page-click-heatmap', {
    "start_date": "2026-01-01 00:00:00",
    "end_date": "2026-01-31 23:59:59",
    "page_url": "https://example.com/pricing",
    "grid_size": 40
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "start_date": "2026-01-01 00:00:00",
    "end_date": "2026-01-31 23:59:59",
    "page_url": "https://example.com/pricing",
    "grid_size": 40
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/project/get-page-click-heatmap", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "data": {
        "page_url": "string",
        "total_clicks": 0,
        "grid_size": 0,
        "max_x": {},
        "max_y": {},
        "viewport_width": {},
        "viewport_height": {},
        "cells": []
    }
}

Try It
Request Body Required

Export